package com.ics.admin.mapper.meeting;

import com.ics.admin.domain.meeting.CustomerTicket;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ics.admin.domain.meeting.vo.UserCustomerVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 企业优惠卷关联Mapper接口
 * 
 * @author chen
 * @date 2024-02-25
 */
@Mapper
public interface CustomerTicketMapper extends BaseMapper<CustomerTicket> {
    /**
     * 查询企业优惠卷关联
     * 
     * @param id 企业优惠卷关联ID
     * @return 企业优惠卷关联
     */
    CustomerTicket selectCustomerTicketById(Long id);

    /**
     * 查询企业优惠卷关联列表
     * 
     * @param customerTicket 企业优惠卷关联
     * @return 企业优惠卷关联集合
     */
    List<CustomerTicket> selectCustomerTicketList(CustomerTicket customerTicket);

    /**
     * 新增企业优惠卷关联
     * 
     * @param customerTicket 企业优惠卷关联
     * @return 结果
     */
    int insertCustomerTicket(CustomerTicket customerTicket);

    /**
     * 修改企业优惠卷关联
     * 
     * @param customerTicket 企业优惠卷关联
     * @return 结果
     */
    int updateCustomerTicket(CustomerTicket customerTicket);

    /**
     * 删除企业优惠卷关联
     * 
     * @param id 企业优惠卷关联ID
     * @return 结果
     */
    int deleteCustomerTicketById(Long id);

    /**
     * 批量删除企业优惠卷关联
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteCustomerTicketByIds(String[] ids);

    List<CustomerTicket> selectListByCustomerId(UserCustomerVo userCustomerVo);

    List<CustomerTicket> selectListByTicketId(Long id);

    int selectByTicketIdAndCustomer(@Param("id") Long id,@Param("customerId") Long customerId);

    void deleteCustomerTicketByTicketId(Long id);

    void deleteCustomerTicketByTicketIdAndCustomer(@Param("id")Long id,@Param("customerId") Long aLong);
}
